Bug 1268420 - Satellite system installs but cannot be used due to service errors on RHEL 6.7
Satellite system installs but cannot be used due to service errors on RHEL 6.7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified
x86_64 Linux
unspecified Severity urgent (vote)
: 6.1.3
: --
Assigned To: Mike McCune
Og Maciel
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 15:11 EDT by Og Maciel
Modified: 2017-02-23 14:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 14:49:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
foreman-debug (248.59 KB, application/x-xz)
2015-10-02 15:11 EDT, Og Maciel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12047 None None None 2016-04-22 12:08 EDT

  None (edit)
Description Og Maciel 2015-10-02 15:11:05 EDT
Created attachment 1079490 [details]
foreman-debug

Description of problem:

Installing Satellite 6.1.3 (Satellite-6.1.0-RHEL-6-20151002.0 compose) onto a RHEL 6.7 x86_64 system succeeds but once you try to access it via the web ui you get an error:

  uninitialized constant ActiveModel::ForbiddenAttributesProtection (NameError)

I also noticed that qpidd is dead (see further down)

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.49.8-1.el6.noarch
* candlepin-common-1.0.22-1.el6.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.49.8-1.el6.noarch
* candlepin-tomcat6-0.9.49.8-1.el6.noarch
* elasticsearch-0.90.10-7.el6.noarch
* foreman-1.7.2.40-1.el6_6sat.noarch
* foreman-compute-1.7.2.40-1.el6_6sat.noarch
* foreman-debug-1.7.2.40-1.el6_6sat.noarch
* foreman-gce-1.7.2.40-1.el6_6sat.noarch
* foreman-libvirt-1.7.2.40-1.el6_6sat.noarch
* foreman-ovirt-1.7.2.40-1.el6_6sat.noarch
* foreman-postgresql-1.7.2.40-1.el6_6sat.noarch
* foreman-proxy-1.7.2.6-1.el6.noarch
* foreman-selinux-1.7.2.13-1.el6_6sat.noarch
* foreman-vmware-1.7.2.40-1.el6_6sat.noarch
* katello-2.2.0.16-1.el6_6sat.noarch
* katello-certs-tools-2.2.1-1.el6_6sat.noarch
* katello-common-2.2.0.16-1.el6_6sat.noarch
* katello-debug-2.2.0.16-1.el6_6sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.3.20-1.el6.noarch
* katello-installer-base-2.3.20-1.el6.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-2.2.0.16-1.el6_6sat.noarch
* openldap-2.4.40-5.el6.x86_64
* pulp-docker-plugins-0.2.5-1.el6_6sat.noarch
* pulp-katello-0.5-1.el6_6sat.noarch
* pulp-nodes-common-2.6.0.16-1.el6.noarch
* pulp-nodes-parent-2.6.0.16-1.el6.noarch
* pulp-puppet-plugins-2.6.0.16-1.el6.noarch
* pulp-puppet-tools-2.6.0.16-1.el6.noarch
* pulp-rpm-plugins-2.6.0.16-1.el6.noarch
* pulp-selinux-2.6.0.16-1.el6.noarch
* pulp-server-2.6.0.16-1.el6.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.3.2-1.el6_6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.3.5-1.el6_6sat.noarch
* rubygem-hammer_cli-0.1.4.12-1.el6_6sat.noarch
* rubygem-hammer_cli_foreman-0.1.4.14-1.el6_6sat.noarch
* rubygem-hammer_cli_foreman_bootdisk-0.1.2.7-1.el6_6sat.noarch
* rubygem-hammer_cli_foreman_discovery-0.0.1.10-1.el6_6sat.noarch
* rubygem-hammer_cli_foreman_docker-0.0.3.9-1.el6_6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3.5-1.el6_6sat.noarch
* rubygem-hammer_cli_gutterball-0.0.1.3-1.el6_6sat.noarch
* rubygem-hammer_cli_import-0.10.20-1.el6_6sat.noarch
* rubygem-hammer_cli_katello-0.0.7.17-1.el6_6sat.noarch
* sssd-ldap-1.12.4-47.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Install the Satellite-6.1.0-RHEL-6-20151002.0 compose onto a RHEL 6.7 x86_64 system
2. Try to log in via the web ui
3.

Actual results:


Expected results:


Additional info:

# katello-service status
mongod (pid  14824) is running...
listening on 127.0.0.1:27017
connection test successful

qdrouterd (pid 16906) is running...
celery init v10.0.
Using config script: /etc/default/pulp_workers
node reserved_resource_worker-0 (pid 15577) is running...
node reserved_resource_worker-1 (pid 15600) is running...
node reserved_resource_worker-2 (pid 15629) is running...
node reserved_resource_worker-3 (pid 15658) is running...
celery init v10.0.
Using config script: /etc/default/pulp_resource_manager
node resource_manager (pid 15419) is running...
celery init v10.0.
Using configuration: /etc/default/pulp_workers, /etc/default/pulp_celerybeat
pulp_celerybeat (pid 15734) is running.
foreman-proxy (pid  16847) is running...
elasticsearch (pid  15787) is running...
tomcat6 (pid 15188) is running...                          [  OK  ]
dynflow_executor is running.
dynflow_executor_monitor is running.
httpd (pid  16751) is running...
Some services failed: qpidd
Comment 4 Mike McCune 2015-10-02 16:38:48 EDT
Created redmine issue http://projects.theforeman.org/issues/12047 from this bug
Comment 5 Mike McCune 2015-10-02 16:43:03 EDT
PR:

https://github.com/Katello/katello/pull/5509
Comment 6 Bryan Kearney 2015-10-05 12:04:20 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/12047 has been closed
-------------
Anonymous
Applied in changeset commit:katello|db486f1b9dd38825af8685c73b548e041d2039af.
Comment 8 Og Maciel 2015-10-06 11:05:29 EDT
Verified on Satellite-6.1.0-RHEL-6-20151005.1 compose
Comment 9 Bryan Kearney 2015-10-15 14:49:10 EDT
This bug was fixed with Satellite 6.1.3 which was released on 15 October, 2015. The errata for this release are

 https://access.redhat.com/errata/RHBA-2015:1910
 https://access.redhat.com/errata/RHBA-2015:1911

Note You need to log in before you can comment on or make changes to this bug.